<template>
  <v-progress-circular
    :size="size"
    :width="width"
    :color="color"
    :bg-color="bgColor"
    :model-value="modelValue"
    :indeterminate="indeterminate"
  >
    <template #default>
      <slot />
    </template>
  </v-progress-circular>
</template>

<script setup>
defineProps({
  color: {
    type: String,
    default: 'primary',
  },
  modelValue: {
    type: Number,
    default: undefined,
  },
  size: {
    type: Number,
    default: 48,
  },
  width: {
    type: Number,
    default: 4,
  },
  indeterminate: {
    type: Boolean,
    default: false,
  },
  bgColor: {
    type: String,
    default: undefined,
  },
})
</script>